.SquareButton {
  position: relative;

  width: 96px;
  height: 56px;
  display: block;
  padding: 4px;
  border-radius: 8px;
  border: none;
  background: transparent;

  cursor: pointer;

  transition: 0.2s ease all;

  .Icon {
    position: absolute;

    width: 24px;
    height: 24px;

    left: 50%;
    transform: translateX(-50%);

    top: 11px;

    transition: 0.2s ease all;
  }

  .Label {
    position: absolute;
    bottom: 4px;
    left: 0;
    right: 0;
    padding: 0 6px;
    font-weight: 300;
    font-size: 12px;
    line-height: 14px;
  }

  &.active {
    box-shadow: none;

    .Icon {
      width: 32px;
      height: 32px;

      top: 5px;
    }
  }

  &:not(.active) {
    opacity: 0.2;
  }

  @media screen and (min-width: 1112px) {
    width: 96px;
    height: 96px;

    .Icon {
      width: 48px;
      height: 48px;

      top: 16px;
    }

    &.active {
      box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);

      .Icon {
        width: 64px;
        height: 64px;
      }
    }
  }
}

.size-lg {
  width: 96px;
  height: 96px;

  .Icon {
    width: 48px;
    height: 48px;

    top: 16px;
  }

  &.active {
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);

    .Icon {
      width: 64px;
      height: 64px;
    }
  }
}

.borders {
  border-width: 2px;
  border-style: solid;
}

.theme-default {
  color: #75a6f1;

  &.borders {
    border-color: #75a6f1;
  }

  &.active {
    color: #2e78e8;
    border-color: #2e78e8;
    background: #F6FAFF;
  }
}

.theme-danger {
  color: #ec7e7e;

  &.borders {
    border-color: #ec7e7e;
  }

  &.active {
    color: #e82e2e;
    border-color: #e82e2e;
  }
}

.theme-success {
  color: #8bd489;

  &.borders {
    border-color: #8bd489;
  }

  &.active {
    color: #33ab30;
    border-color: #33ab30;
  }
}
